Bug 8119 - Зависание при попытке сохранить измененный конфиг и нестабильная работа
: Зависание при попытке сохранить измененный конфиг и нестабильная работа
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/sven)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-03 01:42 by
Modified: 2007-04-23 15:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-03 01:42:29
При изменении параметров при нажатии кнопки "Применить" программа зависает и не 
реагирует на действия пользователя. При внесении изменений в файл конфига   
вручную программа работает.   

Вывод strace на момент зависания:  
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 455200}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 465261}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3521\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 466086}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 480896}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3531\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 481352}, NULL) = 0   
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 9) = 1   
ioctl(3, FIONREAD, [32])                = 0   
read(3, "\10\0\204d\311Z\204\0E\0\0\0^\2\240\4\0\0\0\0m\2\333\2"..., 32) = 32   
gettimeofday({1128288065, 486607}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 486962}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
write(3, "5\30\4\0=:\240\0045\2\240\4d\0\36\0\236\4\5\0>:\240\4="..., 7972) =   
7972   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 487960}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 2)     = 0   
gettimeofday({1128288065, 490182}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 490419}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3541\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 491225}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 501343}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3551\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 502687}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 5)     = 0   
gettimeofday({1128288065, 508204}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 508448}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
open("/dev/mixer", O_RDWR)              = 30   
ioctl(30, MTRRIOC_ADD_ENTRY, 0xbf92ca28) = 0   
close(30)                               = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 509148}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 2)     = 0   
gettimeofday({1128288065, 512285}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3561\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 513129}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 527916}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\3571\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 528708}, NULL) = 0   
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 9) = 1   
ioctl(3, FIONREAD, [32])                = 0   
read(3, "\7\3(e\371Z\204\0E\0\0\0a\2\240\4\0\0\0\0|\2\352\2.\0\2"..., 32) = 32  
gettimeofday({1128288065, 534621}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 534996}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
write(3, "5\30\4\0I:\240\4\26\2\240\4u\0$\0\236\4\5\0J:\240\4I:\240"..., 3080)  
= 3080   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 535712}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 2)     = 0   
gettimeofday({1128288065, 538161}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3601\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 538976}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 549238}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3611\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 550370}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288065, 559305}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3621\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 560109}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 574991}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\3631\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 575503}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 585251}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3641\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 586099}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 596231}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3651\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 597126}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3661\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
write(26, "\17\0\2\0\27\2\240\4", 8)    = 8   
read(26, "\1\0\275\0\0\0\0\0E\0\0\0\26\2\240\4\0\0\0\0\0\0\0\0(\0"..., 32) = 32 
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 598434}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 7)     = 0   
gettimeofday({1128288065, 606419}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\3671\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
write(26, "\2\0\4\0\27\2\240\4\0\10\0\0\1\0\0\0", 16) = 16   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 607174}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 620614}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\3701\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 621712}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288065, 630395}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 630643}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\3711\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 631293}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 641303}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3721\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 642065}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 660204}, NULL) = 0   
open("/dev/mixer", O_RDWR)              = 30   
ioctl(30, MTRRIOC_ADD_ENTRY, 0xbf92ca28) = 0   
close(30)                               = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\3731\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 661823}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288065, 671289}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3741\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 672027}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 682241}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3751\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 683071}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 693283}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\3761\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 701468}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 1)     = 0   
gettimeofday({1128288065, 703158}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 703401}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\3771\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 704141}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 714220}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0002\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 715015}, NULL) = 0   
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 9) = 1   
ioctl(3, FIONREAD, [64])                = 0   
read(3, "\10\3\312e\261[\204\0E\0\0\0a\2\240\4\0\0\0\0\303\2\377"..., 64) = 64  
gettimeofday({1128288065, 718464}, NULL) = 0   
gettimeofday({1128288065, 718711}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 719061}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
write(3, "5\30\4\0R:\240\4\26\2\240\4\352\0$\0\236\4\5\0S:\240\4"..., 5592) =   
5592   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 719932}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 4)     = 0   
gettimeofday({1128288065, 724398}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0012\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 725040}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 4)     = 0   
gettimeofday({1128288065, 730188}, NULL) = 0   
time(NULL)                              = 1128288065   
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=815, ...}) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 730878}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 3)     = 0   
gettimeofday({1128288065, 735133}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0022\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 735992}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 749155}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0032\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 749364}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 759241}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0042\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 760260}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288065, 769235}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 769478}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0052\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 770134}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 780226}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0062\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 781202}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 796925}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\0072\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 797512}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 807190}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0102\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 808217}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 1)     = 0   
gettimeofday({1128288065, 810264}, NULL) = 0   
open("/dev/mixer", O_RDWR)              = 30   
ioctl(30, MTRRIOC_ADD_ENTRY, 0xbf92ca28) = 0   
close(30)                               = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 810888}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 6)     = 0   
gettimeofday({1128288065, 818181}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\t2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32  
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 818998}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 829370}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\n2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32  
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 830841}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288065, 842878}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\v2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32  
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 844047}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288065, 853244}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\f2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32  
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 854433}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288065, 863572}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\r2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32  
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 864150}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 874350}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0162\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 875048}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 889409}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\0172\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 890490}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288065, 899180}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 899428}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0202\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 900078}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 910306}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\0212\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 911407}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288065, 920273}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 920521}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0222\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 921162}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 6)     = 0   
gettimeofday({1128288065, 928461}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 928718}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 1)     = 0   
gettimeofday({1128288065, 938059}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\0232\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 939136}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(3, FIONREAD, [0])                 = 0   
write(3, "\22\0\7\0\3\0\240\4\236\1\0\0\236\1\0\0\10\4\5\0\1\0\0"..., 28) = 28  
read(3, "\34z\355f\3\0\240\4\236\1\0\0\217\\\204\0\0\0\240\4\10"..., 32) = 32   
write(3, "\27\0\2\0\1\0\0\0", 8)        = 8   
read(3, "\1\0\356f\0\0\0\0k\0\240\1\0\0\0\0\0\0\0\0\0\0\0\0(\0\0"..., 32) = 32  
gettimeofday({1128288065, 940056}, NULL) = 0   
write(3, "\30\0\6\0\3\0\240\4\1\0\0\0\34\1\0\0\317\1\0\0\217\\\204"..., 24) =   
24   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 940117}, NULL) = 0   
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 7) = 1   
ioctl(3, FIONREAD, [64])                = 0   
read(3, "\34z\357f\3\0\240\4\317\1\0\0\220\\\204\0\0\0\240\4\10"..., 64) = 64   
gettimeofday({1128288065, 941310}, NULL) = 0   
gettimeofday({1128288065, 941478}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
write(3, "\24\0\6\0\3\0\240\4\317\1\0\0\0\0\0\0\0\0\0\0\377\377\377"..., 24) =  
24   
read(3, 0xbf92c350, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])   
read(3, "\1\10\360f\1\0\0\0\34\1\0\0\0\0\0\0\1\0\0\0\0\0\0\0\0\0"..., 32) = 32  
readv(3, [{" ", 1}, {"\34\357f", 3}], 2) = 4   
ioctl(3, FIONREAD, [0])                 = 0   
write(3, "\23\0\3\0\3\0\240\4\317\1\0\0\22\0\7\0\3\0\240\4\236\1"..., 40) = 40  
read(3, 0xbf92c090, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])   
read(3, "\34\0\361f\3\0\240\4\317\1\0\0\223\\\204\0\1\17\215\n\3"..., 32) = 32  
ioctl(3, FIONREAD, [32])                = 0   
read(3, "\34z\362f\3\0\240\4\236\1\0\0\223\\\204\0\0\0\240\4\10"..., 32) = 32   
write(3, "\27\0\2\0\375\0\0\0", 8)      = 8   
read(3, 0xbf92c900, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])   
read(3, "\1\0\363f\0\0\0\0k\0\240\1\0\0\0\0\0\0\0\0\0\0\0\0(\0\0"..., 32) = 32  
gettimeofday({1128288065, 944038}, NULL) = 0   
gettimeofday({1128288065, 944062}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
write(3, "\30\0\6\0\3\0\240\4\375\0\0\0\34\1\0\0\317\1\0\0\223\\"..., 24) = 24  
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 944166}, NULL) = 0   
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 3) = 1   
ioctl(3, FIONREAD, [64])                = 0   
read(3, "\34z\364f\3\0\240\4\317\1\0\0\224\\\204\0\0\0\240\4\10"..., 64) = 64   
gettimeofday({1128288065, 944718}, NULL) = 0   
gettimeofday({1128288065, 944749}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
write(3, "\24\0\6\0\3\0\240\4\317\1\0\0\0\0\0\0\0\0\0\0\377\377\377"..., 24) =  
24   
read(3, 0xbf92c350, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])   
read(3, "\1\10\365f\1\0\0\0\34\1\0\0\0\0\0\0\1\0\0\0\0\0\0\0(\0"..., 32) = 32   
readv(3, [{"0", 1}, {"\34\364f", 3}], 2) = 4   
write(3, "\23\0\3\0\3\0\240\4\317\1\0\0", 12) = 12   
ioctl(3, FIONREAD, [32])                = 0   
read(3, "\34\0\366f\3\0\240\4\317\1\0\0\226\\\204\0\1\17\215\n\3"..., 32) = 32  
gettimeofday({1128288065, 946539}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 946629}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 1)     = 0   
gettimeofday({1128288065, 948139}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0242\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 948935}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 959264}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0252\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 960141}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
open("/dev/mixer", O_RDWR)              = 30   
ioctl(30, MTRRIOC_ADD_ENTRY, 0xbf92ca28) = 0   
close(30)                               = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 960871}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288065, 970283}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0262\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 971037}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 987165}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0272\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 987985}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288065, 998286}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\0302\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288065, 999384}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 9237}, NULL)  = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0312\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 10009}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 26741}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\0322\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 27364}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 37188}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0332\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 38477}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288066, 47143}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 47388}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0342\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 48588}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 8)     = 0   
gettimeofday({1128288066, 57106}, NULL) = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 57347}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0352\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 58200}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 72637}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, 0xbf92c920, 32)                 = -1 EAGAIN (Resource temporarily   
unavailable)   
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])   
read(9, "\1\2\0362\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 73431}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 83178}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\0372\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) =   
32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 84024}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 94248}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2 2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 95144}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 105193}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2!2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 106107}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 4)     = 0   
gettimeofday({1128288066, 111077}, NULL) = 0   
open("/dev/mixer", O_RDWR)              = 30   
ioctl(30, MTRRIOC_ADD_ENTRY, 0xbf92ca28) = 0   
close(30)                               = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 111695}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 3)     = 0   
gettimeofday({1128288066, 119715}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\"2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32  
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 120373}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 130202}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2#2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 131166}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 141187}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2$2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 142142}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 152400}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2%2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 152994}, NULL) = 0   
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 9) = 1   
ioctl(3, FIONREAD, [32])                = 0   
read(3, "\4\1\366fi]\204\0E\0\0\0b\2\240\4\0\0\0\0\355\2\375\2*"..., 32) = 32   
gettimeofday({1128288066, 158637}, NULL) = 0   
write(3, "\22\0\7\0\26\2\240\4\340\0\0\0\6\0\0\0 \0\0\0\1\0\0\0i"..., 28) = 28  
ioctl(3, FIONREAD, [32])                = 0   
read(3, "\34z\367f\26\2\240\4\340\0\0\0k]\204\0\0\0\0\0k]\204\0"..., 32) = 32   
gettimeofday({1128288066, 166705}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
ioctl(3, FIONREAD, [0])                 = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2&2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 167848}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 0)     = 0   
write(3, "5\30\4\0a:\240\4\26\2\240\4u\0$\0\236\4\5\0b:\240\4a:\240"..., 12236) 
= 12236   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 170939}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 5)     = 0   
gettimeofday({1128288066, 177101}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2\'2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32  
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 177989}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 188095}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2(2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 188928}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 199096}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2)2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
select(27, [26], NULL, NULL, {0, 0})    = 0 (Timeout)   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 199974}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 213729}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2*2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 214309}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 224179}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2+2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 224995}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 235148}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2,2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 235964}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 246138}, NULL) = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2-2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 246932}, NULL) = 0   
poll([{fd=3, events=POLLIN}], 1, 9)     = 0   
gettimeofday({1128288066, 261537}, NULL) = 0   
open("/dev/mixer", O_RDWR)              = 30   
ioctl(30, MTRRIOC_ADD_ENTRY, 0xbf92ca28) = 0   
close(30)                               = 0   
ioctl(9, FIONREAD, [0])                 = 0   
write(9, "+\5\1\0", 4)                  = 4   
read(9, "\1\2.2\0\0\0\0\27\2\240\4\0\0\0\0\1\0\0\0\17\0\0\0\370"..., 32) = 32   
ioctl(26, FIONREAD, [0])                = 0   
ioctl(3, FIONREAD, [0])                 = 0   
gettimeofday({1128288066, 262137}, NULL) = 0   
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 9) = 1   
ioctl(3, FIONREAD, [32])                = 0   
read(3, "\5\1`h\331]\204\0E\0\0\0b\2\240\4\0\0\0\0\355\2\375\2*"..., 32) = 32   
gettimeofday({1128288066, 270524}, NULL) = 0   
lstat64("/home/metall/.sven/config", {st_mode=S_IFREG|0644, st_size=353, ...})  
= 0   
open("/home/metall/.sven/config", O_RDONLY) = 30   
fstat64(30, {st_mode=S_IFREG|0644, st_size=353, ...}) = 0   
mmap2(NULL, 131072, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =   
0x40b1c000   
read(30, "[sven]\ncolour=green\nfont=-monoty"..., 131072) = 353   
close(30)                               = 0   
munmap(0x40b1c000, 131072)              = 0   
open("/home/metall/.sven/config", O_WRONLY|O_CREAT|O_TRUNC, 0666) = 30   
fstat64(30, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0   
mmap2(NULL, 131072, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =   
0x40b1c000   
write(30, "[sven]\ncolour=green\nfont=-monoty"..., 353) = 353   
close(30)                               = 0   
munmap(0x40b1c000, 131072)              = 0   
write(5, "\0", 1)                       = 1   
rt_sigprocmask(SIG_SETMASK, NULL, [RTMIN], 8) = 0   
rt_sigsuspend([] 


Иногда программа вешается при нажатии мультимедиа-клавиш на клавиатуре на 
которые назначены события. 
Вывод strace для данного случая: 
rite(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1g\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
write(23, "\17\1\2\0^\0\200\4", 8)      = 8 
read(23, "\1\0\4\2\7\0\0\0E\0\0\0\\G \1\7\0\0\0\0\0\0\0(\0\0\0\0"..., 32) = 32 
read(23, "_\0\200\4`\0\200\4a\0\200\4b\0\200\4c\0\200\4\206\0\200"..., 28) = 28 
write(23, "\2\1\4\0_\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0_\0\200\4", 24) = 24 
read(23, "\1\370\6\2\0\0\0\0E\0\0\0^\0\200\4\0\0?\n\0\0\0\0T\370"..., 32) = 32 
write(23, "\2\1\4\0`\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0`\0\200\4", 24) = 24 
read(23, "\1\370\10\2\0\0\0\0E\0\0\0^\0\200\4\0\0\354\t\0\0\0\0T"..., 32) = 32 
write(23, "\2\1\4\0a\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0a\0\200\4", 24) = 24 
read(23, "\1\370\n\2\0\0\0\0E\0\0\0^\0\200\4\0\0\354\t\0\0\0\0T\370"..., 32) = 
32 
write(23, "\2\1\4\0b\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0b\0\200\4", 24) = 24 
read(23, "\1\370\f\2\0\0\0\0E\0\0\0^\0\200\4\0\0\354\t\0\0\0\0T\370"..., 32) = 
32 
write(23, "\2\1\4\0c\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0c\0\200\4", 24) = 24 
read(23, "\1\370\16\2\0\0\0\0E\0\0\0^\0\200\4\0\0?\n\0\0\0\0T\370"..., 32) = 32 
write(23, "\2\1\4\0\206\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\206\0\200"..., 24) = 
24 
read(23, "\1\370\20\2\5\0\0\0E\0\0\0^\0\200\4\5\0\235\n\0\0\0\0T"..., 32) = 32 
read(23, "\207\0\200\4\211\0\200\4\215\0\200\4\220\0\200\4\227\0"..., 20) = 20 
write(23, "\2\1\4\0\207\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\207\0\200"..., 24) = 
24 
read(23, "\1\370\22\2\2\0\0\0E\0\0\0\206\0\200\4\2\0\235\n\0\0\0"..., 32) = 32 
read(23, "\210\0\200\4\252\0\200\4", 8) = 8 
write(23, "\2\1\4\0\210\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\210\0\200"..., 24) = 
24 
read(23, "\1\370\24\2\0\0\0\0E\0\0\0\207\0\200\4\0\0\235\n\0\0\0"..., 32) = 32 
write(23, "\2\1\4\0\252\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\252\0\200"..., 24) = 
24 
read(23, "\1\370\26\2\1\0\0\0E\0\0\0\207\0\200\4\1\0@\n\0\0\0\0T"..., 32) = 32 
read(23, "\236\0\200\4", 4)             = 4 
write(23, "\2\1\4\0\236\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\236\0\200"..., 24) = 
24 
read(23, "\1\370\30\2\0\0\0\0E\0\0\0\252\0\200\4\0\0\235\n\0\0\0"..., 32) = 32 
write(23, "\2\1\4\0\211\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\211\0\200"..., 24) = 
24 
read(23, "\1\370\32\2\0\0\0\0E\0\0\0\206\0\200\4\0\0\235\n\0\0\0"..., 32) = 32 
write(23, "\2\1\4\0\215\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\215\0\200"..., 24) = 
24 
read(23, "\1\370\34\2\2\0\0\0E\0\0\0\206\0\200\4\2\0\235\n\0\0\0"..., 32) = 32 
read(23, "\216\0\200\4\217\0\200\4", 8) = 8 
write(23, "\2\1\4\0\216\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\216\0\200"..., 24) = 
24 
read(23, "\1\370\36\2\0\0\0\0E\0\0\0\215\0\200\4\0\0\235\n\0\0\0"..., 32) = 32 
write(23, "\2\1\4\0\217\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\217\0\200"..., 24) = 
24 
read(23, "\1\370 \2\0\0\0\0E\0\0\0\215\0\200\4\0\0\235\n\0\0\0\0"..., 32) = 32 
write(23, "\2\1\4\0\220\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\220\0\200"..., 24) = 
24 
read(23, "\1\370\"\2\0\0\0\0E\0\0\0\206\0\200\4\0\0\235\n\0\0\0\0"..., 32) = 32 
write(23, "\2\1\4\0\227\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0\227\0\200"..., 24) = 
24 
read(23, "\1\370$\2\0\0\0\0E\0\0\0\206\0\200\4\0\0\235\n\0\0\0\0"..., 32) = 32 
write(23, "\2\1\4\0o\0\200\4\0\10\0\0\1\0\0\0\17\0\2\0o\0\200\4", 24) = 24 
read(23, "\1\370&\2\0\0\0\0E\0\0\0^\0\200\4\0\0?\n\0\0\0\0T\370\245"..., 32) = 
32 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1h\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
write(23, "\2\1\4\0^\0\200\4\0\10\0\0\1\0\0\0", 16) = 16 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 483862}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 6)     = 0 
gettimeofday({1128288744, 499420}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, 0xbfb4ffa0, 32)                 = -1 EAGAIN (Resource temporarily 
unavailable) 
select(10, [9], NULL, NULL, NULL)       = 1 (in [9]) 
read(9, "\1\1i\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 500200}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 9)     = 0 
gettimeofday({1128288744, 510010}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1j\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 510928}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 9)     = 0 
gettimeofday({1128288744, 521001}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1k\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 521820}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 9)     = 0 
gettimeofday({1128288744, 531991}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1l\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 532884}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 9)     = 0 
gettimeofday({1128288744, 549682}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, 0xbfb4ffa0, 32)                 = -1 EAGAIN (Resource temporarily 
unavailable) 
select(10, [9], NULL, NULL, NULL)       = 1 (in [9]) 
read(9, "\1\1m\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 550854}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 8)     = 0 
gettimeofday({1128288744, 559969}, NULL) = 0 
open("/dev/mixer", O_RDWR)              = 26 
ioctl(26, MTRRIOC_ADD_ENTRY, 0xbfb500a8) = 0 
close(26)                               = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1n\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 561150}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 8)     = 0 
gettimeofday({1128288744, 569989}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1o\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 570811}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 9)     = 0 
gettimeofday({1128288744, 581034}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1p\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 581835}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 9)     = 0 
gettimeofday({1128288744, 596085}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1q\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 596828}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 9)     = 0 
gettimeofday({1128288744, 611192}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, 0xbfb4ffa0, 32)                 = -1 EAGAIN (Resource temporarily 
unavailable) 
select(10, [9], NULL, NULL, NULL)       = 1 (in [9]) 
read(9, "\1\1r\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 612350}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 1)     = 0 
gettimeofday({1128288744, 613912}, NULL) = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 614148}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 614507}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 1)     = 0 
gettimeofday({1128288744, 615903}, NULL) = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 616139}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 616497}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 3)     = 0 
gettimeofday({1128288744, 620151}, NULL) = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 620393}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1s\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 621373}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
ioctl(3, FIONREAD, [0])                 = 0 
write(3, "\22\0\7\0\3\0\240\4\236\1\0\0\236\1\0\0\10\0\0\0\1\0\0"..., 28) = 28 
read(3, 0xbfb4f710, 32)                 = -1 EAGAIN (Resource temporarily 
unavailable) 
select(4, [3], NULL, NULL, NULL)        = 1 (in [3]) 
read(3, "\34z\217\36\3\0\240\4\236\1\0\0\255\267\216\0\0\0\240\4"..., 32) = 32 
write(3, "\27\0\2\0\1\0\0\0", 8)        = 8 
read(3, "\1\0\220\36\0\0\0\0U+\0\4\0\0\0\0\0\0\0\0\0\0\0\0(\0\0"..., 32) = 32 
gettimeofday({1128288744, 622065}, NULL) = 0 
write(3, "\30\0\6\0\3\0\240\4\1\0\0\0\34\1\0\0\317\1\0\0\255\267"..., 24) = 24 
ioctl(3, FIONREAD, [64])                = 0 
read(3, "\34z\221\36\3\0\240\4\317\1\0\0\256\267\216\0\0\0\240\004"..., 64) = 
64 
gettimeofday({1128288744, 622674}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
gettimeofday({1128288744, 622753}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
write(3, "\24\0\6\0\3\0\240\4\317\1\0\0\0\0\0\0\0\0\0\0\377\377\377"..., 24) = 
24 
read(3, "\1\10\222\36\1\0\0\0\34\1\0\0\0\0\0\0\2\0\0\0\0\0\0\0("..., 32) = 32 
readv(3, [{"\n ", 2}, {"\221\36", 2}], 2) = 4 
ioctl(3, FIONREAD, [0])                 = 0 
write(3, "\23\0\3\0\3\0\240\4\317\1\0\0\22\0\7\0\3\0\240\4\236\1"..., 40) = 40 
read(3, 0xbfb4f710, 32)                 = -1 EAGAIN (Resource temporarily 
unavailable) 
select(4, [3], NULL, NULL, NULL)        = 1 (in [3]) 
read(3, "\34\0\223\36\3\0\240\4\317\1\0\0\260\267\216\0\1K\203\n"..., 32) = 32 
ioctl(3, FIONREAD, [32])                = 0 
read(3, "\34z\224\36\3\0\240\4\236\1\0\0\260\267\216\0\0\0\240\4"..., 32) = 32 
write(3, "\27\0\2\0\375\0\0\0", 8)      = 8 
read(3, "\1\0\225\36\0\0\0\0k\0\240\1\0\0\0\0\0\0\0\0\0\0\0\0(\0"..., 32) = 32 
gettimeofday({1128288744, 625035}, NULL) = 0 
gettimeofday({1128288744, 625055}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
write(3, "\30\0\6\0\3\0\240\4\375\0\0\0\34\1\0\0\317\1\0\0\260\267"..., 24) = 
24 
ioctl(3, FIONREAD, [64])                = 0 
read(3, "\34z\226\36\3\0\240\4\317\1\0\0\261\267\216\0\0\0\240\4"..., 64) = 64 
gettimeofday({1128288744, 625696}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
gettimeofday({1128288744, 625744}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
write(3, "\24\0\6\0\3\0\240\4\317\1\0\0\0\0\0\0\0\0\0\0\377\377\377"..., 24) = 
24 
read(3, "\1\10\227\36\1\0\0\0\34\1\0\0\0\0\0\0\1\0\0\0\0\0\0\0("..., 32) = 32 
readv(3, [{"0", 1}, {"\0\226\36", 3}], 2) = 4 
write(3, "\23\0\3\0\3\0\240\4\317\1\0\0", 12) = 12 
ioctl(3, FIONREAD, [32])                = 0 
read(3, "\34\0\230\36\3\0\240\4\317\1\0\0\262\267\216\0\1K\203\n"..., 32) = 32 
gettimeofday({1128288744, 627048}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 627109}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 3)     = 0 
gettimeofday({1128288744, 630983}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1t\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 631793}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 9)     = 0 
gettimeofday({1128288744, 650230}, NULL) = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1u\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 650470}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 9)     = 0 
gettimeofday({1128288744, 660087}, NULL) = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 660334}, NULL) = 0 
poll([{fd=3, events=POLLIN}], 1, 0)     = 0 
ioctl(9, FIONREAD, [0])                 = 0 
write(9, "+\1\1\0", 4)                  = 4 
read(9, "\1\1v\f\0\0\0\0^\0\200\4\0\0\0\0\1\0\0\0\17\0\0\0\20<\203"..., 32) = 
32 
ioctl(23, FIONREAD, [0])                = 0 
ioctl(3, FIONREAD, [0])                 = 0 
gettimeofday({1128288744, 660952}, NULL) = 0 
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 9) = 1 
ioctl(3, FIONREAD, [32])                = 0 
read(3, "\2\354\230\36\331\267\216\0E\0\0\0E\0\0\0\275\3 \1\352"..., 32) = 32 
gettimeofday({1128288744, 667836}, NULL) = 0 
munmap(0x40a67000, 8220)                = 0 
write(5, "\0", 1)                       = 1 
rt_sigprocmask(SIG_SETMASK, NULL, [RTMIN], 8) = 0 
rt_sigsuspend([]
------- Comment #1 From 2005-11-20 19:19:23 -------
Подтверждаю, все так и есть. Решение какое-нибудь будет? Автор обещают некую
alpha скоро
------- Comment #2 From 2005-11-20 19:29:44 -------
Мне так и не удалось воспроизвести. Ладно, пусть будет accepted.
Выйдет переписанная версия, будем тестировать её.
------- Comment #3 From 2005-12-22 01:51:09 -------
Прошу прощения, за то что встреваю, но у меня оно (зависание) таки тоже
воспроизводится.
После некоторого копания грешу на функцию xosd.c:event_loop(), в которой на
строке 267 лочится osd->mutex. К моменту применения настроек (save_config_pref
-> greate_osd -> xosd_destroy -> _xosd_lock) osd->mutex остаётся залоченным.
Что
и приводит к зависанию на строке 77 упомянутого xosd.c.
При выключенном xosd зависания нет.
Как править - не знаю, ибо с pthread пока yt знаком...
------- Comment #4 From 2006-12-13 17:49:29 -------
Никто не хочет помайнтейнить sven?
------- Comment #5 From 2006-12-15 20:44:53 -------
Собрал на "потестить" версию 0.6. Сей неприятный баг в ней отсутствует. Правда,
всё равно можно добиться сегфолта при настройках OSD, но это уже некритично.
Как
"program for multimedia buttons" работает вроде стабильно. Плагины пока не
проверял, ибо отвалились они (возможно, тот же --as-needed.)
------- Comment #6 From 2007-01-17 22:18:25 -------
<evyscr> А повесьте на меня #8119 :)
------- Comment #7 From 2007-01-24 20:15:48 -------
Если ещё сохранились желающие, просьба потестировать версию 0.6 из Дедала.
Данная проблема в указанной сборке должна быть решена. Правда, возможен сегфолт
при закрытии окна параметров после теста OSD. Но это уже совсем другая история.
------- Comment #8 From 2007-02-17 19:05:24 -------
Исправлено в sven-0.6-alt1
------- Comment #9 From 2007-04-23 15:25:38 -------
Вследствие отсутствия новых комментариев, и учитывая невоспроизводимость
описанных симптомов в новой версии, предлагаю считать данный bug закрытым.